import ddf.minim.*; // importation de la bibli musicale minim
Minim minim; // il faut une bibli musicale
AudioPlayer maMusique; // et un conteneur de musique
void setup()
{
  size( 1024, 500 );
  strokeWeight(3);
  smooth();
  minim = new Minim(this); // on peut maintenant utiliser minim
  // on charge la chanson du répertoire data
  maMusique = minim.loadFile("les joies de l informatique.mp3", 1024);
  // on la joue
  maMusique.play();
}
void draw()
{ // on va tracer le contenu du buffer, mémoire qui contient la musique en train d'être jouée
  background(255);
  translate(0,height/2); // on se centre
  // Canal droit
  stroke(255,0,0); //rouge
  for (int x=0; x<maMusique.bufferSize(); x++) {
    float y=maMusique.right.get(x)*250;
    point(x,y);
  }
  // Canal gauche
  stroke(0);
  for (int x=0; x<maMusique.bufferSize(); x++ ) {
    float y=maMusique.left.get(x)*250;
    point(x,y);
  }
}
void stop() // indispensable, attention
{
  maMusique.close(); // on libere l'espace mémoire de la chanson
  minim.stop(); // on libére minim
  super.stop(); // on arrete tout
}
