//Déclaration d'une instance de Balle
Balle maBalle;
Balle maBalle2;
Balle maBalle3;

void setup() {
  smooth(); //Lissage des dessins
  size(400, 200); //Taille de la fenêtre
  noStroke();
  // on initialise une Balle nommée maBalle
  maBalle = new Balle(width/2, height/2, color(255,0,0));
  maBalle2 = new Balle(width/2, height/2, color(0,255,0));
  maBalle3 = new Balle(width/2, height/2, color(0,0,255));
}

void draw() {
  fill(0, 10);
  rect(0, 0, width, height);
  // appel des méthodes
  maBalle.bouger();
  maBalle2.bouger();
  maBalle3.bouger();
  maBalle.rebondir();
  maBalle2.rebondir();
  maBalle3.rebondir();
  maBalle.afficher();
  maBalle2.afficher();
  maBalle3.afficher();
}

class Balle 
{
  //Déclaration des paramètres de base de la balle
  float x; //position
  float y;
  float vitesseX; // vitesse
  float vitesseY;
  color couleur; // couleur

  //Constructeur de la balle, appelé quand on fait new Balle(...)
  Balle(float nouvX, float nouvY, color nouvCouleur) 
  {
    x          = nouvX;
    y          = nouvY;
    couleur    = nouvCouleur;
    vitesseX = 2 + random(-1, 1);
    vitesseY = 2 + random(-1, 1);
  }

  //Dessin de la balle
  void afficher() 
  {
    fill(couleur);
    ellipse(x, y, 40, 40);
  }

  void bouger() 
  {
    x = x + vitesseX;
    y = y + vitesseY;
  }

  void rebondir() 
  {
    //Si la balle touche un mur, elle rebondit
    if (x > width-20 || x < 20) 
    {
      vitesseX = vitesseX * -1;
    }
    if (y > height-20 || y < 20) 
    {
      vitesseY = vitesseY * -1;
    }
  }
}

